import request from '@/utils/request'

// 查询CO2气体保护系统列表
export function listShield(query) {
  return request({
    url: '/dev/shield/list',
    method: 'get',
    params: query
  })
}

// 查询CO2气体保护系统详细
export function getShield(id) {
  return request({
    url: '/dev/shield/' + id,
    method: 'get'
  })
}

// 新增CO2气体保护系统
export function addShield(data) {
  return request({
    url: '/dev/shield',
    method: 'post',
    data: data
  })
}

// 修改CO2气体保护系统
export function updateShield(data) {
  return request({
    url: '/dev/shield',
    method: 'put',
    data: data
  })
}

// 删除CO2气体保护系统
export function delShield(id) {
  return request({
    url: '/dev/shield/' + id,
    method: 'delete'
  })
}
